Skip to main content
List product variants

Authorizations

X-API-Key
string
header
required

Query Parameters

commission_program_ids
string<uuid>[]

Multiple values may be separated by commas.

limit
integer

Number of results to return per page.

offset
integer

The initial index from which to return the results.

ordering
string

Which field to use when ordering the results.

product_id
string<uuid>

A search term.

Response

200 - application/json
id
string<uuid>
required
read-only
bigcommerce_id
integer
required
read-only
sku
string
required
Required string length: 1 - 255
is_purchasable
boolean
required
read-only
base_price
string<decimal>
required
read-only

The regular price, before any sale.

Pattern: ^-?\d{0,18}(?:\.\d{0,2})?$
list_price
string<decimal>
required
read-only

The price currently charged, which reflects any sale in progress.

Pattern: ^-?\d{0,18}(?:\.\d{0,2})?$
cost_price
string<decimal>
required
read-only

What this variant costs the store.

Pattern: ^-?\d{0,18}(?:\.\d{0,2})?$
inventory_level
integer | null
required
read-only

null when inventory is not tracked at the variant level.

custom_fields
object[]
required
product
object
required
options
object[]
required
read-only